<?php

namespace App\Services\General;

use App\Interfaces\ShippingMethodInterface;

class ShippingService
{
    // Strategy Pattern
    protected mixed $shippingMethods;

    public function __construct(ShippingMethodInterface $shippingMethods)
    {
        $this->shippingMethods = $shippingMethods;
    }

    /**
     * @param array $params
     * @return mixed
     */
    public function processShipping(array $params = []): mixed
    {
        return $this->shippingMethods->processShipping($params);
    }

} //end of class
